#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k,br=0;
    scanf("%d%d",&n,&k);
    int a[n];
    int b[n];
    int polja[n*2+1];
    for(int i=0;i<=n*2;i++)
    {
        polja[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        b[i]=0;
        scanf("%d",&a[i]);
        polja[a[i]+n]++;
        if(polja[a[i]+n]==k)
        {
            b[br]=a[i];
            br++;
        }
    }
    printf("%d\n",br);
    for(int i=0;i<br;i++)
    {
        printf("%d ",b[i]);
    }
}